Name:          libalkimia
Version:       7.0.2
Release:       1mamba
Summary:       A library with common classes and functionality used by finance applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://kde-apps.org/content/show.php/libalkimia?content=137323
Source:        https://download.kde.org/stable/alkimia/%{version}/alkimia-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgmp-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: libgmp-cxx-devel
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libalkimia is a library with common classes and functionality used by finance applications for the KDE SC.

Currently it supports a common class to represent monetary values with arbitrary precision.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n alkimia-%{version}

%build
%cmake_kde5 -d build \
   -DQT_QMAKE_EXECUTABLE=qmake-qt5

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#install -d -m0755 %{buildroot}%{_datadir}/cmake/Modules
#mv %{buildroot}%{_datadir}/apps/cmake/modules/FindLibAlkimia.cmake %{buildroot}%{_datadir}/cmake/Modules/FindLibAlkimia.cmake

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libalkimia5.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/alkimia
%dir %{_includedir}/alkimia/Qt5
%dir %{_includedir}/alkimia/Qt5/alkimia
%{_includedir}/alkimia/Qt5/alkimia/*.h
%{_libdir}/libalkimia5.so
%{_libdir}/pkgconfig/libalkimia5.pc
%dir %{_libdir}/cmake/LibAlkimia5-*
%{_libdir}/cmake/LibAlkimia5-*/*.cmake

%changelog
* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-1mamba
- update to 7.0.2

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-1mamba
- update to 7.0.1

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-1mamba
- update to 5.0.0

* Mon Dec 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2-3mamba
- fixed installation path of cmake module

* Mon Oct 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2-2mamba
- rebuild in %{_prefix} as it doesn't depend on kde libs and should fix kmymoney build

* Sat Aug 18 2012 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- package created by autospec
